Bug 1343140 - manila-dist.conf is empty
Summary: manila-dist.conf is empty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-manila
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 10.0 (Newton)
Assignee: Victoria Martinez de la Cruz
QA Contact: Dustin Schoenbrun
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 15:26 UTC by Eric Harney
Modified: 2016-12-14 15:36 UTC (History)
4 users (show)

Fixed In Version: openstack-manila-3.0.0-0.20160903135125.7a16eb6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:36:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
RDO 1819 None None None 2016-08-26 18:50:11 UTC

Description Eric Harney 2016-06-06 15:26:08 UTC
manila-dist.conf contains no settings.  This is used by most services to set a baseline of default options like logdir, state_path, lock_path, auth_strategy, etc.

These should likely be added to manila-dist.conf as well.

Comment 2 Elise Gafford 2016-07-19 18:23:49 UTC
Does Manila use oslo_config_generator? If so, this should be autogenerated in the packaging process.

Comment 3 Dustin Schoenbrun 2016-07-19 20:21:25 UTC
I checked upstream in master and it looks like there is support for oslo_config_generator [1]. However, it looks like the only output of it would be the sample manila.conf file. Looks like the manila-dist.conf is not being generated by it. I imagine we could look at how other projects do it and add the same to Manila?

[1] - https://github.com/openstack/manila/tree/master/etc/oslo-config-generator

Comment 7 Dustin Schoenbrun 2016-10-17 17:04:07 UTC
Using the 2016-10-06.1 puddle, I was able to log into a controller node and then look at the /usr/share/manila/manila-dist.conf file which was present and had valid content in it. Looks good to me!

Comment 9 errata-xmlrpc 2016-12-14 15:36:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.